﻿using Syncfusion.JavaScript.DataVisualization.Models;
using Syncfusion.JavaScript.DataVisualization.Models.Collections;
using Syncfusion.JavaScript.DataVisualization.Models.Diagram;
using Syncfusion.JavaScript.Shared.Serializer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplication21
{
    [Serializable]
    public class CustomDiagramProperties : DiagramProperties
    {
        private Collection _layers = new Collection();
        [JsonProperty("layers")]
        public Collection Layers
        {
            get
            {
                return _layers;
            }
            set
            {
                _layers = value;
            }
        }

        public void AddLayer(Layer layer)
        {
            this._layers.Add(layer);
            foreach (Node node in layer.Nodes)
            {
                this.Nodes.Add(node);
            }
        }
    }
}